#### D.15.6.10 trapezoid

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  trapezoid(U1,U2,var); U1, U2 are the names of occuring derivatives, var is a variable in the basering;

Return:
  type vector; gives a predefined approximation of the trapezoid-approximation as often used in literature;

Note:
  see also forward,laxfrT,setinitials,scheme;

Example:

    LIB "finitediff.lib";
    list D="Uxx","Ux","Utt","Ut","U";
    list P="lambda";
    list V="t","x";
    setinitials(V,D,P);
    trapezoid(Uxx,Ux,x);
    ==> [(dx)/2*x+(dx)/2,-x+1]
    trapezoid(Ux,U,x);
    ==> [0,(dx)/2*x+(dx)/2,0,0,-x+1]

User manual for Singular version 4.4.1, 2025, generated by texi2html.